Run script to check for available updates
POST
/system/updates/{command}
const url = 'https://example.com/api/v1/system/updates/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/system/updates/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”command
required
string
Type of update script command
Query Parameters
Section titled “Query Parameters”repo
string
Repository from which packages should be fetched
Responses
Section titled “Responses”Update check result returned
Media typeapplication/json
object
pid
integer
Examplegenerated
{ "pid": 1}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}